Subject: bug#28268: 26.0.50; (MS Windows) crash on C-g after closing Git GUI

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Aug 2017 20:25:52 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Tue, 29 Aug 2017 13:14:09 -0400
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> Yes, and I see the high CPU use as well. Also, it seems that Emacs
> fails to notice when the program exits (e.g., it shows as still
> running in M-x list-processes).

It's not an "also", it's the reason _why_ Emacs spins.  I think it's a
race condition: git-gui.exe is a GUI program, so it releases the shell
and the shell exits before Emacs has a chance to set up the machinery
which watches the sub-process.

Of course, invoking a program such as git-gui asynchronously makes
very little sense anyway...